## ros-indigo-yocs-waypoint-provider 0.6.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(yocs_waypoint_provider)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS visualization_msgs yocs_msgs roscpp )

# pkg-config support
find_package(PkgConfig)
pkg_check_modules(NEW_YAMLCPP yaml-cpp>=0.5)
if(NEW_YAMLCPP_FOUND)
add_definitions(-DHAVE_NEW_YAMLCPP)
endif(NEW_YAMLCPP_FOUND)


catkin_package(
    INCLUDE_DIRS
    LIBRARIES
    CATKIN_DEPENDS roscpp visualization_msgs yocs_msgs
    DEPENDS yaml-cpp
)

include_directories(include ${catkin_INCLUDE_DIRS} ${yaml-cpp_INCLUDE_DIRS})

# building c++ executables and libraries
add_library(waypoint_provider_lib src/waypoint_provider.cpp)
add_dependencies(waypoint_provider_lib yocs_msgs_gencpp)
target_link_libraries(waypoint_provider_lib ${catkin_LIBRARIES})

add_library(waypoint_provider_yaml_parser_lib src/yaml_parser.cpp)
add_dependencies(waypoint_provider_yaml_parser_lib yocs_msgs_gencpp)
target_link_libraries(waypoint_provider_yaml_parser_lib yaml-cpp ${catkin_LIBRARIES})

add_executable(waypoint_provider src/main.cpp)
add_dependencies(waypoint_provider waypoint_provider_lib waypoint_provider_yaml_parser_lib)
target_link_libraries(waypoint_provider waypoint_provider_lib waypoint_provider_yaml_parser_lib)

#############
## Install ##
#############

install(TARGETS waypoint_provider 
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY resources
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-yocs-waypoint-provider (0.6.4-0trusty) trusty; urgency=high

  * fix yaml-cpp dependency closes #63 <https://github.com/yujinrobot/yujin_ocs/issues/63>
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-indigo-yocs-waypoint-provider (0.6.3-0trusty) trusty; urgency=high



 -- Jihoon Lee <jihoonl@yujinrobot.com>  Thu, 04 Dec 2014 15:00:00 -0000

ros-indigo-yocs-waypoint-provider (0.6.2-0trusty) trusty; urgency=high

  * update yaml cpp dependency #63 <https://github.com/yujinrobot/yujin_ocs/issues/63>
  * [yocs_waypoint_provider] : fix timestamping so rviz will always display
    them (http://wiki.ros.org/rviz/DisplayTypes/Marker)
  * yocs_waypoint_provider: add handling of way point trajectories
  * renames yocs_waypoint_manager to yocs_waypoint_provider (resolves #46 <https://github.com/yujinrobot/yujin_ocs/issues/46>)
  * Contributors: Daniel Stonier, Jihoon Lee, Marcus Liebhardt

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Sat, 29 Nov 2014 15:00:00 -0000

ros-indigo-yocs-waypoint-provider (0.6.1-0trusty) trusty; urgency=high

  * updating package informations. remove email for authors. updating maintainer
  * waypoint manager yaml compatibility fix
  * update package info
  * working version. marker appears properly.
  * seems ready. markers does not appear in rviz though
  * rename waypoints to waypoint
  * Contributors: Jihoon Lee

 -- Jihoon Lee <jihoonl@yujinrobot.com>  Mon, 07 Jul 2014 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-yocs-waypoint-provider
Section: misc
Priority: extra
Maintainer: Jihoon Lee <jihoonl@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), libyaml-cpp-dev, ros-indigo-catkin, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-visualization-msgs, ros-indigo-yocs-msgs
Homepage: http://ros.org/wiki/yocs_waypoint_provider
Standards-Version: 3.9.2

Package: ros-indigo-yocs-waypoint-provider
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-cpp-dev, ros-indigo-geometry-msgs, ros-indigo-roscpp, ros-indigo-visualization-msgs, ros-indigo-yocs-msgs
Description: Parse a multiple poses from yaml and provide as topic and service. This package is highly inspired by yocs_waypoints_navi

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-yocs-waypoint-provider//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
